<?php

namespace EasyVideoReviews;

if (!class_exists("\EasyVideoReviews\EVR_GutenbergBlocks")) :

    /**
     * Easy Video Review Gutenburg Block
     */

    class EVR_GutenbergBlocks
    {

        /**
         * Class Init
         */

        function init()
        {
            add_action('block_categories', [$this, 'evr_block_categories'], 10, 2);
            add_action('init', [$this, 'register_evr_blocks']);
        }


        /**
         * Register EVR Gutenburg Block Category
         */

        function evr_block_categories($categories, $post)
        {
            if ($post->post_type !== 'post') {
                return $categories;
            }
            return array_merge(
                $categories,
                array(
                    array(
                        'slug' => 'evr_blocks',
                        'title' => __('Easy Video Reviews', 'easy-video-reviews'),
                        'icon'  => 'microphone',
                    ),
                )
            );
        }


        /**
         * Register EVR Gutenburg Blocks
         */

        function register_evr_blocks()
        {
            if (!function_exists('register_block_type')) {
                return;
            }
            wp_register_script(
                'evr-editor-script',                                            // label
                plugin_dir_url(__FILE__) . '/evr-blocks.js',                        // script file
                array('wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor', "wp-data"),        // dependencies
                filemtime(plugin_dir_path(__FILE__) . 'evr-blocks.js')        // set version as file last modified time
            );

            // Array of block created 
            $blocks = [
                'evr/button',
                'evr/showcase',
            ];

            foreach ($blocks as $block) {
                register_block_type($block, array(
                    'editor_script' => 'evr-editor-script',                    // Calls registered script above                // Calls registered stylesheet above
                ));
            }
        }
    }


    /**
     * Init the class
     */


    $WPVideoTestimonialGutenbergBlocks = new \EasyVideoReviews\EVR_GutenbergBlocks();
    $WPVideoTestimonialGutenbergBlocks->init();

endif;
