<!-- recorder modal -->
<div data-evr-modal style="display: none;">
  <div class="evr-modal">
    <div class="evr-overlay"></div>
    <div class="modal-body">

      <!-- top icon  -->
      <div class="top_icon">
        <img src="<?php echo esc_url(plugin_dir_url(EVR_HANDLER_FILE)) ?>public/images/evr.svg" alt="Easy Video Reviews">
      </div>

      <!-- close button  -->
      <div onclick="typeof(_evr) != 'undefined' && _evr ? _evr.hide() : false" class="evr-close">
        <i class="evr-icon">&#xe81a;</i>
      </div>

      <!-- error message  -->
      <div v-if="error" class="evr-error">
        <div class="evr-error-message" v-html="error">
        </div>
        <div class="evr-error-footer"><?php echo __('Powered by <a :href="evr_url" target="_blank">Easy Video Reviews</a>', 'easy-video-reviews'); ?>
        </div>
      </div>

      <!-- review recorder  -->
      <div v-else class="evr-recorder-wrapper">

        <!-- recorder  -->
        <section class="evr-recorder">
          <h4 v-show="state == 'mirror'" class="evr-title" v-text="
          !foundCamera ? trans('Upload Review') : trans('Record Review')">

          </h4>
          <!--Body-->
          <div v-if="state != 'uploader'" class="evr-recorder-box">

            <div class="evr-recorder-mirror" :class="['recorder', 'recording', 'recorded'].includes(state) ? 'evr-rounded' : ''">

              <!-- videos  -->
              <div class="evr-recorder-video">
                <video :class="{'evr-flip' : !options.flipCamera}" v-show="['recorded', 'send'].includes(state)" data-preview src="#" controls></video>
                <video :class="{'evr-flip' : !options.flipCamera}" v-if="foundCamera" v-show="!['recorded', 'send'].includes(state)" data-mirror muted src="#" autoplay></video>
              </div>

              <!-- counter  -->
              <div v-if="startingCount && foundCamera" class="evr-counter">
                {{startingCount}}
              </div>

              <!-- icon  -->
              <div v-if="foundCamera" class="evr-recording-icon">
                <i v-show="state == 'recording'"></i>
                <div v-if="finishingCount">{{time(finishingCount)}}</div>
              </div>

              <div v-if="foundCamera" class="evr-recording-start-area">
                <div class="flex object-center items-center">
                  <button v-show="state=='recorder'" @click.prevent="initRecording()" class="evr-recording-start">
                    <?php echo __('Start', 'easy-video-reviews'); ?>
                  </button>
                  <button @click.prevent="state = 'mirror'; finishingCount = false" v-show="state=='recorder'" class="evr-recording-close">
                    <i class="evr-icon">&#xe81a;</i>
                  </button>

                  <button v-show="state=='recording'" @click="stopRecording()" class="evr-recording-stop">
                    <span></span>
                  </button>


                </div>
              </div>
            </div>

            <div v-else v-if="state == 'mirror' && !foundCamera" class="evr-error">
              <div class="evr-error-message">{{trans(`You have no camera installed on your device`)}}</div>
            </div>

            <div v-if="foundCamera" class="evr-options" v-show="state=='mirror'">
              <div class="evr-message">
                {{trans(`You can record up to %s minutes, don"t worry you will review your video before sending`, time(preference.limits))}}
              </div>
              <div class="evr-chooseoption" v-if="preference.show_options">
                <button class="evr-button evr-button-small" @click.prevent="options.shown = !options.shown" :class="chooseDevices ? ['bg-blue-500', 'text-white'] : ['bg-gray-100', 'text-gray-500']">{{options.shown
                    ? trans('Hide options') : trans('Show options')}}
                  <i class="evr-icon">&#xf1de;</i></button>
              </div>

              <div v-if="preference.show_options && options.shown">

                <div class="evr-delay">
                  <button class="evr-button" for="wpvt_delay" @click.prevent="options.delay = Number(options.delay) ? false : preference.delay" class="mb-1 font-semibold text-gray-800">{{options.delay ? trans('Delay') : trans('No Delay')}}</button>
                  <div>
                    <input id="wpvt_delay" type="text" v-show="options.delay" v-model="options.delay" class="evr-delay-input" v-model="preference.delay">
                    <span v-show="options.delay">{{trans('Seconds')}}</span>
                  </div>
                  <button class="evr-button evr-button-outline" @click.prevent="frontCamera()">{{options.frontCamera ? trans('Front') : trans('Back')}} <i class="evr-icon">&#xe813;</i> </button>
                </div>

                <div class="evr-option-select">
                  <label for="">{{trans('Choose camera')}}</label>
                  <div class="relative mt-1">
                    <select @change="initMirror()" v-model="options.camera" class="">
                      <option value="0">{{trans('Default camera')}}</option>
                      <option v-for="cam in devices.cameras" :value="cam.id">{{cam.name}}</option>
                    </select>
                  </div>
                </div>

                <div class="evr-option-select">
                  <label for="evr-mics">{{trans('Choose microphone')}}</label>
                  <div class="relative mt-1">
                    <select @change="initMirror()" id="evr-mics">
                      <option value="0">{{trans('Default Microphone')}}</option>
                      <option v-for="mic in devices.mics" :value="mic.id">{{mic.name}}</option>
                    </select>
                  </div>
                </div>

              </div>

            </div>
          </div>

          <div v-show="state=='mirror'" class="evr-mirror-box" :class="{'evr-divice-found' : foundCamera}">
            <button v-if="foundCamera" @click.prevent="initRecorder()" class="evr-button">
              {{trans('Looks good, continue')}}
            </button>
            <button v-if="preference.upload" @click="state = 'uploader'" class="evr-button evr-button-outline">

              <i class="evr-icon">&#xe80c;</i>
              {{trans('Upload video')}}
            </button>
          </div>
        </section>

        <!-- send to server  -->
        <section v-if="state == 'send'">
          <div v-if="send.sending" class="evr-send">
            <div class="evr-send-sending"></div>
            {{trans('Uploading video')}}...
          </div>
          <div v-else v-if="send.message">
            <div class="evr-send-message" :class="{'evr-send' : send.success}">{{send.message}}</div>
            <div class="evr-send-recorder-button"><button @click="initRecorder()" class="evt-button evr-button-outline">
                <i class="evr-icon">&#xe810;</i>
                {{trans('Record new video')}}
              </button></div>
          </div>
        </section>

        <!-- recorder -->

        <section v-show="state == 'recorded'">
          <form id="evr_send" @submit.prevent="sendVideo">
            <template v-if="preference.form && forms && forms.length > 0" v-for="form in forms">

              <div class="evr-input-group" v-if="['text', 'email', 'number', 'date', 'time', 'datetime', 'range'].includes(form.type)">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <input :id="form.id" v-model="options.form[form.id]" :type="form.type" class="input-text" :placeholder="form.placeholder" :required="form.required">
              </div>

              <div class="evr-input-group" v-if="form.type == 'textarea'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <textarea :id="form.id" :required="form.required" v-model="options.form[form.id]" class="input-text" :placeholder="form.placeholder"></textarea>
              </div>

              <div class="evr-input-group" v-if="form.type == 'radio'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <div :class="form.display == 'inline' ? 'flex-col' : 'flex'">
                  <label v-for="(opt, k) in form.options" :for="`option_${k}`" class="evr-radio-label">
                    <input v-model="options.form[form.id]" type="radio" :name="form.id" class="evr-input-radio" :id="`option_${k}`" :required="form.required"> {{opt.label}}</label>
                </div>
              </div>

              <div class="evr-input-group" v-if="form.type == 'select'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <select v-model="options.form[form.id]" :id="form.id" class="evr-input-select" :required="form.required">
                  <option v-for="opt in form.options" :value="opt.value">{{opt.label}}</option>
                </select>
              </div>

              <div class="evr-input-group evr-input-group-inline" v-if="form.type == 'checkbox'">
                <input v-model="options.form[form.id]" type="checkbox" :required="form.required" :id="form.id" class="evr-input-checkbox">
                <label :for="form.id" class="text-gray-500">{{form.label}}</label>
              </div>

              <div class="evr-input-group evr-input-group-inline" v-if="form.type == 'message'" v-html="options.form[form.id]">
              </div>

              <div class="evr-input-group" v-if="form.type == 'rating'">
                <label :for="form.id" class="input-label">{{form.label}}</label>
                <div class="evr-input-rating">
                  <i class="" v-for="(max, i) in Number(form.max)" :class="i+1 <= options.form[form.id] || i+1 <= form.rating? 'evr-rating-active' : ''" @mouseover="form.rating = i + 1" @mouseleave="form.rating = 0" @click.prevent="options.form[form.id] = i+1"> &#xe811;</i>
                </div>
              </div>

            </template>


            <div v-if="preference.publish_policy" class="evr-publish-policy">
              <input required value="1" type="checkbox" id="publish_policy" class="evr-input-radio">
              <label for="publish_policy" class="evr-radio-label">{{trans('I\'m allowing to publish this video')}}</label>
            </div>

            <div class="evr-recorder-buttons">

              <button type="submit" class="evr-button">
                <i class="evr-icon">&#xf0a9;</i> {{trans('Submit')}}
              </button>
              <button v-if="foundCamera" @click="initRecorder()" class="evr-button evr-button-outline">
                <i class="evr-icon">&#xe810;</i>
                {{trans('Record')}}
              </button>
              <button @click.prevent="initMirror()" class="evr-button evr-button-outline">
                <i class="evr-icon">&#xe803;</i>
                {{trans('Start over')}}
              </button>
            </div>
          </form>
        </section>

        <!--uploader drag and drop section-->
        <section v-if="preference.upload && state=='uploader'" class="rounded-md evr_uploader p-3 bg-white z-50">
          <h2 class="evr-title">{{trans('Upload video')}}</h2>
          <div id="evr_dropzone" class="evr-dropzone">
            <div>
              <input id="evr_uploader" @input="fileSelected()" accept="*" type="file" class="evr-uploader-file" title="Select file" />

              <div class="evr-dropzone-area ">
                <i class="evr-icon">&#xe804;</i>
                <div class="m-0">
                  {{trans('Drag your files here or click in this area')}}
                </div>
              </div>
            </div>

          </div>

          <div v-if="uploader.file" class="evr-uploader-file-info"><span>{{uploader.file}}</span> <span class="mx-4">{{uploader.size}}</span> <a class="cursor-pointer py-1 px-3 bg-red-400 rounded-md text-white hover:bg-red-500 transition" @click="removeFileUpload()">x</a></div>
          <div v-if="uploader.error" class="evr-uploader-file-error">{{uploader.error}}</div>

          <div class="evr-button-area" v-show="state == 'uploader'">
            <button v-if="uploader.file && !uploader.error" @click.prevent="lateUploader()" href="javascript:;" class="evr-button">
              {{trans('Continue')}}</button>

            <button v-if="foundCamera" @click.prevent="initMirror()" href="javascript:;" class="evr-button evr-button-outline">
              <i class="evr-icon">&#xe810;</i> {{trans('Record Video')}}</button>
          </div>
        </section>


      </div>
    </div>
  </div>
</div>
<!--  recorder modal -->